import logo from './logo.svg';
import './App.css';
import React from 'react';
import { BrowserRouter as Router, Routes, Route, Link } from 'react-router-dom';

function Home() {
  return <h1>Главная страница</h1>;
}

function About() {
  return <h1>Обо мне</h1>;
}

function Projects() {
  return <h1>Мои проекты</h1>;
}

function NotFound() {
  return <h1>Страница не найдена</h1>;
}

function Navbar() {
  return (
    <nav>
      <Link to="/">Главная</Link> | 
      <Link to="/about">Обо мне</Link> | 
      <Link to="/projects">Проекты</Link>
    </nav>
  );
}

function App() {
  return (
    <Router>
      <Navbar />
      <Routes>
        <Route path="/" element={<Home />} />
        <Route path="/about" element={<About />} />
        <Route path="/projects" element={<Projects />} />
        <Route path="*" element={<NotFound />} />
      </Routes>
    </Router>
  );
}

export default App;
